Wednesday, June 13, 2012

Facetime over 3G only for iPhone 4s and iPad 2 or higher


Previously I had announced some of the new features in iOS 6 which should be coming later this year (around Fall time). iOS 6 is supposed to work with the iPhone 3GS, 4, 4s, the 4th Generation iPod Touch and the iPad 2 and 3 (new iPad).

Today I've learned that that all versions of the iPhone will enjoy some of the new features.  First we will start with the Facetime over 3G feature.  In order to be able to do this you will need an A5 or better processor.  The iPhone 4S has an A5 but the iPhone 4 has an A4 processor.  So the iPhone 4 will not be able to do this.  I'm sure if you ask anyone who has ever jailbroken an iphone 4 they'll tell you that this is certainly doable with the iPhone 4.

Next we have the Maps Turn by Turn directions and Flyovers.  These all need an A5 processor as well.  So once again the iPhone 4 or lower are out of luck.  The iPod Touch 4th Generation also uses an A4 processor.

Both the iPad 2 and iPad 3rd generation will be fine but the original iPad isn't even getting iOS 6.

But don't worry, Apple has absolutely no fragmentation!